package com.siwei.rsmonitoring.service;

import java.util.List;
import java.util.Set;

import com.siwei.rsmonitoring.domain.TDkjbxx;
import com.siwei.rsmonitoring.domain.vo.DataCountVo;

/**
 * 地块基本信息（DKJBXX）Service接口
 *
 * @author siwei
 * @date 2025-01-20
 */
public interface ITDkjbxxService {
    /**
     * 查询地块基本信息（DKJBXX）
     *
     * @param id 地块基本信息（DKJBXX）主键
     * @return 地块基本信息（DKJBXX）
     */
    public TDkjbxx selectTDkjbxxById(String id);

    public TDkjbxx selectTDkjbxxByDkbh(String dkbh);

    /**
     * 查询地块基本信息（DKJBXX）列表
     *
     * @param tDkjbxx 地块基本信息（DKJBXX）
     * @return 地块基本信息（DKJBXX）集合
     */
    public List<TDkjbxx> selectTDkjbxxList(TDkjbxx tDkjbxx);

    public Set<String> selectXzqdmUserList(Long checkXzqdm);

    /**
     * 新增地块基本信息（DKJBXX）
     *
     * @param tDkjbxx 地块基本信息（DKJBXX）
     * @return 结果
     */
    public int insertTDkjbxx(TDkjbxx tDkjbxx);

    /**
     * 修改地块基本信息（DKJBXX）
     *
     * @param tDkjbxx 地块基本信息（DKJBXX）
     * @return 结果
     */
    public int updateTDkjbxx(TDkjbxx tDkjbxx);
    public int updateTDkjbxxByHgx(TDkjbxx tDkjbxx);
    /**
     * 批量删除地块基本信息（DKJBXX）
     *
     * @param ids 需要删除的地块基本信息（DKJBXX）主键集合
     * @return 结果
     */
    public int deleteTDkjbxxByIds(String[] ids);

    /**
     * 删除地块基本信息（DKJBXX）信息
     *
     * @param id 地块基本信息（DKJBXX）主键
     * @return 结果
     */
    public int deleteTDkjbxxById(String id);

    /**
     * 统计地块汇总信息
     *
     * @param tDkjbxx
     * @return
     */
    public DataCountVo selectTDkjbxxCctbCount(DataCountVo dataCountVo);

    /**
     * 校验dkbh 是否可以进行更新
     *
     * @param dkbh
     * @return
     */
    public boolean checkDkjbxxUpdate(String dkbh);


}
